openbsd-ports/devel/eclipse/sdk/patches/patch-eclipse_in
kurt 8be560d1a7 Eclipse sdk and three eclipse plugins
sdk:
   The Eclipse Platform is an IDE for anything, and for nothing in
   particular.

   flavors: gtk2, motif
   subpackages: -gnome, -mozilla (gtk2 only), -kde (motif only)

plugins/emf:
   Eclipse Modeling Framework (EMF)

plugins/gef:
   graphical editing environment for eclipse

plugins/uml2
   UML diagram framework for Eclipse

ok alek@, todd@
2005-02-04 17:18:09 +00:00

52 lines
1.4 KiB
Plaintext

$OpenBSD: patch-eclipse_in,v 1.1.1.1 2005/02/04 17:18:13 kurt Exp $
--- eclipse.in.orig Wed Jan 5 14:34:36 2005
+++ eclipse.in Wed Jan 5 14:42:20 2005
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+# OpenBSD-specific startup script for Eclipse Platform
+#
+# See: http://www.eclipse.org
+#
+# $FreeBSD: ports/java/eclipse/files/eclipse.in,v 1.1 2003/06/17 17:39:48 nork Exp $
+#
+
+DEFAULT_JAVA_HOME=%%JAVA_HOME%%
+ECLIPSE_HOME=%%ECLIPSE_HOME%%
+DEFAULT_JAVA_CMD=java
+
+
+#-----------------------------------------------------------------------------
+# Determine configuration settings
+#-----------------------------------------------------------------------------
+
+# Determine the JDK home directory
+if [ -z "${JAVA_HOME}" ]; then
+ JAVA_HOME=${DEFAULT_JAVA_HOME}
+fi
+
+# Determine 'java' executable
+if [ -z "${JAVACMD}" ]; then
+ if [ -n "${JAVA_HOME}" ]; then
+ JAVACMD="${JAVA_HOME}/bin/java"
+ else
+ JAVACMD=${DEFAULT_JAVACMD}
+ fi
+fi
+
+# Check if 'java' executable can be found
+if [ ! -x "$JAVACMD" ]; then
+ echo "Error: JAVA_HOME is not defined correctly: ${JAVA_HOME}"
+ echo " Unable to find ${JAVACMD}"
+ exit 1
+fi
+
+# Check if 'eclipse' executable can be found
+if [ ! -x "${ECLIPSE_HOME}/eclipse" ]; then
+ echo "Error: ECLIPSE_HOME is not defined correctly: ${ECLIPSE_HOME}"
+ echo " Unable to find eclipse launcher binary"
+ exit 1
+fi
+
+PATH=${JAVA_HOME}/bin:$PATH "${ECLIPSE_HOME}/eclipse" $@